desync(1)

NAME
desync-verify - Read chunks in a store and verify their integrity

SYNOPSIS
desync verify [flags]

DESCRIPTION
Reads all chunks in a local store and verifies their integrity. If -r is used, invalid chunks are deleted from the store.

OPTIONS
-n, --concurrency=10
    number of concurrent goroutines

-h, --help[=false]
    help for verify

-r, --repair[=false]
    remove invalid chunks from the store

-s, --store=""
    local store to verify

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync verify -s /path/to/store
      desync verify -s /path/to/store -r

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra